Library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.STD_LOGIC_ARITH.all;

entity tb_gates is
end tb_gates;




architecture a of tb_gates is


	component gates is
	port(
			A : in std_logic;
			B : in std_logic;
			R : out std_logic;
			Q : out std_logic
	    );
	end component;


	signal A, B, R, Q : std_logic;

begin


	uut: gates
	port map(
				A => A,
				B => B,
				R => R,
				Q => Q
			);


	stim: process
	begin
		A <= '0';
		B <= '0';
		wait for 200 ns;
		A <= '1';
		wait for 200 ns;
		B <= '1';
		wait for 200 ns;
		A <= '0';
		wait for 200 ns;
		B <= '0';
		wait;
	end process;

end;

