LIBRARY IEEE;
use IEEE.std_logic_1164.all;

-- 4-bit 4 to 1 mux
entity mux4to1 is
port(
    -- select input
    SEL  : in  std_logic_vector(1 downto 0);
    -- data inputs
    LogicOut		: in  std_logic_vector(3 downto 0);
    CounterOut		: in  std_logic_vector(3 downto 0);
    ShiftRegOut		: in  std_logic_vector(3 downto 0);
    EventCtrOut    	: in  std_logic_vector(3 downto 0);
    -- output
    LED				: out std_logic_vector(3 downto 0)
);
end mux4to1;

architecture a of mux4to1 is

begin
    with SEL select
    LED <=	"0001"	when "00",
         	"0010"	when "01",
         	"0100"	when "10",
         	"1000"	when "11";
end;
